package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.StringJoiner;

/**
 * @ClassName: SearchLocationInfoVo
 * @Author: 于学智
 * @Description: 查询定位服务VO
 * @CreateDate: 2023/9/16 13:47
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class SearchLocationInfoVo implements Serializable {
    private Long id;

    /**
     * 用户ID
     */
    @Excel(name = "设备用户id")
    private Long userId;

    /**
     * 设备用户名
     */
    @Excel(name = "设备用户名")
    private String userName;

    /**
     * 用户名电话号
     */
    @Excel(name = "用户名电话号")
    private String userPhone;

    /**
     * 查询内容
     */
    @Excel(name = "查询内容")
    private String searchValue;

    /**
     * 查询到的设备ID
     */
    @Excel(name = "查询到的设备ID")
    private Long deviceId;

    /**
     * 查询到的设备编号
     */
    @Excel(name = "查询到的设备编号")
    private Long deviceIdCode;

    /**
     * 电子围栏VO
     */
    @Excel(name = "电子围栏VO")
    private ElectronicFenceVo electronicFenceVo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getDeviceIdCode() {
        return deviceIdCode;
    }

    public void setDeviceIdCode(Long deviceIdCode) {
        this.deviceIdCode = deviceIdCode;
    }

    public ElectronicFenceVo getElectronicFenceVo() {
        return electronicFenceVo;
    }

    public void setElectronicFenceVo(ElectronicFenceVo electronicFenceVo) {
        this.electronicFenceVo = electronicFenceVo;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", SearchLocationInfoVo.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("userId=" + userId)
                .add("userName='" + userName + "'")
                .add("userPhone='" + userPhone + "'")
                .add("searchValue='" + searchValue + "'")
                .add("deviceId=" + deviceId)
                .add("deviceIdCode=" + deviceIdCode)
                .add("electronicFenceVo=" + electronicFenceVo)
                .toString();
    }
}
